org.jboss.netty.channel.socket

## Class ChannelRunnableWrapper

- java.lang.Object
- - org.jboss.netty.channel.DefaultChannelFuture
  - - org.jboss.netty.channel.socket.ChannelRunnableWrapper

All Implemented Interfaces:
  Runnable, ChannelFuture

    public class ChannelRunnableWrapper
    extends DefaultChannelFuture
    implements Runnable

### Constructor Summary

Constructors
Constructor and Description
`ChannelRunnableWrapper(Channel channel, Runnable task)`

### Method Summary

Methods
`boolean` `cancel()` Cancels the I/O operation associated with this future and notifies all listeners if canceled successfully.
`void` `run()`

### Methods inherited from class org.jboss.netty.channel.DefaultChannelFuture

`addListener, await, await, await, awaitUninterruptibly, awaitUninterruptibly, awaitUninterruptibly, getCause, getChannel, isCancelled, isDone, isSuccess, isUseDeadLockChecker, removeListener, rethrowIfFailed, setFailure, setProgress, setSuccess, setUseDeadLockChecker, sync, syncUninterruptibly`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChannelRunnableWrapper

    public ChannelRunnableWrapper(Channel channel,
                          Runnable task)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`

#### cancel

    public boolean cancel()

Description copied from interface: `ChannelFuture`
Cancels the I/O operation associated with this future and notifies all listeners if canceled successfully.

Specified by:
  `cancel` in interface `ChannelFuture`
Overrides:
  `cancel` in class `DefaultChannelFuture`
Returns:
  `true` if and only if the operation has been canceled. `false` if the operation can't be canceled or is already completed.